# Method: projects.locations.environments.stopAirflowCommand

- [HTTP request](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.StopAirflowCommandResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#body.aspect)
- [Try it!](https://docs.cloud.google.com/composer/docs/reference/rest/v1/projects.locations.environments/stopAirflowCommand#try-it)

Stops Airflow CLI command execution.

### HTTP request

`POST https://composer.googleapis.com/v1/{environment=projects/*/locations/*/environments/*}:stopAirflowCommand`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `environment` | `string` The resource name of the environment in the form: "projects/{projectId}/locations/{locationId}/environments/{environmentId}". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `environment`: - `composer.environments.executeAirflowCommand` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "executionId": string, "pod": string, "podNamespace": string, "force": boolean } ``` |

| Fields ||
|---|---|
| `executionId` | `string` The unique ID of the command execution. |
| `pod` | `string` The name of the pod where the command is executed. |
| `podNamespace` | `string` The namespace of the pod where the command is executed. |
| `force` | `boolean` If true, the execution is terminated forcefully (SIGKILL). If false, the execution is stopped gracefully, giving it time for cleanup. |

### Response body

Response to StopAirflowCommandRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "isDone": boolean, "output": [ string ] } ``` |

| Fields ||
|---|---|
| `isDone` | `boolean` Whether the execution is still running. |
| `output[]` | `string` Output message from stopping execution request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudcomposer`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).